<template>
  <div class="book-listing well" @click="selectBook">
    <h3 class="title">{{ book.title }}</h3>
    <h4 class="year">({{ book.first_publish_year }})</h4>
    <img :src="getCoverUrlFor(book)" />
  </div>
</template>

<script>
import OpenLibraryApiService from "../services/OpenLibraryApiService.js";
import EventBus from "../services/EventBus.js";

export default {
  props: {
    book: {
      title: "",
      first_publish_year: "",
      cover_i: "",
    },
  },
  methods: {
    selectBook() {
      EventBus.emit("book.select", this.book);
    },
    getCoverUrlFor: OpenLibraryApiService.getCoverUrlFor,
  },
};
</script>

<style>
.well {
  min-height: 20px;
  padding: 19px;
  margin-bottom: 20px;
  background-color: #f5f5f5;
  border: 1px solid #e3e3e3;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
}

.book-listing {
  display: inline-block;
  text-align: center;
  width: 300px;
}

.book-listing img {
  width: 150px;
  display: block;
  margin: auto;
}

.title {
  display: inline;
  font-weight: bold;
  font-size: 2em;
}

.year {
  display: inline;
  color: lightgrey;
}
</style>
